Package org.codehaus.janino

# Class Java.SimpleType

java.lang.Object
org.codehaus.janino.Java.Located
org.codehaus.janino.Java.Atom
org.codehaus.janino.Java.Type
org.codehaus.janino.Java.SimpleType

All Implemented Interfaces:
  `Java.Locatable`

Enclosing class:
  `Java`

public static final class Java.SimpleType extends Java.Type
This class is not used when code is parsed; it is intended for "programmatic" types.

## Field Summary

Fields
Modifier and Type
Field
Description
`final IType`
`iType`
The `IType` represented by this `Java.Type`.

### Fields inherited from class org.codehaus.janino.Java.Located

`NOWHERE`

## Constructor Summary

Constructors
Constructor
Description
`SimpleType(Location location, IType iType)`

## Method Summary

Modifier and Type
Method
Description
`<R, EX extends Throwable>
R`
`accept(Visitor.AtomVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.AtomVisitor` for the concrete `Java.Atom` type.
`<R, EX extends Throwable>
R`
`accept(Visitor.TypeVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.TypeVisitor` for the concrete `Java.Type` type.
`Java.Scope`
`getEnclosingScope()`
`void`
`setEnclosingScope(Java.Scope enclosingScope)`
Sets the enclosing scope for this object and all subordinate `Java.Type` objects.
`String`
`toString()`

### Methods inherited from class org.codehaus.janino.Java.Type

`toType`

### Methods inherited from class org.codehaus.janino.Java.Atom

`toLvalue, toLvalueOrCompileException, toRvalue, toRvalueOrCompileException, toTypeOrCompileException`

### Methods inherited from class org.codehaus.janino.Java.Located

`getLocation, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### iType

public final IType iType
The `IType` represented by this `Java.Type`.

## Constructor Details

### SimpleType

public SimpleType(Location location, IType iType)

## Method Details

### setEnclosingScope

public void setEnclosingScope(Java.Scope enclosingScope)
Description copied from class: `Java.Type`
Sets the enclosing scope for this object and all subordinate `Java.Type` objects.

Overrides:
  `setEnclosingScope` in class `Java.Type`

### getEnclosingScope

public Java.Scope getEnclosingScope()

Overrides:
  `getEnclosingScope` in class `Java.Type`
Returns:
  The enclosing scope (as previously set by `Java.Type.setEnclosingScope(Java.Scope)`)

### toString

public String toString()

Specified by:
  `toString` in class `Java.Atom`

### accept

@Nullable public <R, EX extends Throwable> R accept(Visitor.AtomVisitor<R,EX> visitor) throws EX
Description copied from class: `Java.Atom`
Invokes the "`visit...()`" method of `Visitor.AtomVisitor` for the concrete `Java.Atom` type.

Specified by:
  `accept` in class `Java.Atom`
Throws:
  `EX`

### accept

@Nullable public <R, EX extends Throwable> R accept(Visitor.TypeVisitor<R,EX> visitor) throws EX
Description copied from class: `Java.Type`
Invokes the "`visit...()`" method of `Visitor.TypeVisitor` for the concrete `Java.Type` type.

Specified by:
  `accept` in class `Java.Type`
Throws:
  `EX`